Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.job.opstatus
Class MonitoredObjectElement

    java.lang.Object
      com.sun.management.oss.impl.job.opstatus.MonitoredObjectElement

Direct Known Subclasses:
  CIBMonitoredObjectElement, J2EEMonitoredObjectElement

public abstract class MonitoredObjectElement
extends java.lang.Object

`MonitoredObjectElement` defines common features that a monitored element must provide.

Constructor Summary
`MonitoredObjectElement()`

Method Summary
`java.lang.String` | `getException()` Returns the exception of this message (may be null).
`boolean` | `hasException()` Returns true if this instance got an exception; false otherwise.
`void` | `setException(java.lang.String msg)` Sets the exception field of this object.
`abstract java.lang.String` | `toXml()` Returns a XML representation of a monitored object element instance that implements the method.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitoredObjectElement

    public MonitoredObjectElement()

Method Detail

### getException

    public java.lang.String getException()

  Returns the exception of this message (may be null).

  Returns:
    the exception of this message (may be null).

### hasException

    public boolean hasException()

  Returns true if this instance got an exception; false otherwise.

  An exception is set if an issue occured while retreiving information from the instrumentation layer.

  Returns:
    true if this instance got an exception; false otherwise.

### setException

    public void setException(java.lang.String msg)

  Sets the exception field of this object.

  An exception is set if an issue occured while retreiving information from the instrumentation layer.

  Parameters:
    `msg` - the exception message.

### toXml

    public abstract java.lang.String toXml()

  Returns a XML representation of a monitored object element instance that implements the method.

  Returns:
    a XML representation of a monitored object element instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD